<div class="row">
  <div class="col-12">
    <div
      *ngIf="
        currCodeRunner &&
        currCodeRunner.programmingLanguages &&
        currCodeRunner.programmingLanguages.length > 1
      "
      class="edgar-right-overlap"
      style="right: 10rem"
    >
      <div class="form-inline">
        <select
          class="form-control-sm custom"
          (change)="onLanguageChanged($event.target?.value)"
        >
          <option
            class=""
            *ngFor="
              let language of currCodeRunner.programmingLanguages;
              let i = index
            "
            [value]="language.id"
            [selected]="getCurrLangId() === language.id"
          >
            {{ language.name }}
          </option>
        </select>
      </div>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <div class="edgar-overlap border">
      <code-mirror
        #codeMirror
        [initialCode]="getCurrCode()"
        [questionType]="getCurrentType()"
        [programmingLanguages]="currCodeRunner.programmingLanguages"
        [langId]="getCurrLangId()"
        [cmSkin]="cmSkin"
        (runCodeHotkey)="run($event)"
        (codeChanged)="onCodeChanged($event)"
      ></code-mirror>
      <div class="edgar-right-overlap">
        <button
          class="btn btn-warning col-1 edgar-overlap-btn-w"
          type="submit"
          [disabled]="queryRunning"
          title="Ctrl+Enter"
          (click)="runAll()"
        >
          <span [innerHTML]="queryRunning | sqlRunLabel : 0"></span>
        </button>
      </div>
      <div class="edgar-right-overlap2">
        <button
          class="btn btn-success col-1 edgar-overlap-btn-w"
          type="submit"
          [disabled]="saved"
          (click)="save()"
        >
          Save
        </button>
      </div>
    </div>
  </div>
</div>
<div class="row ml-2 mr-2" *ngIf="isCodeLang()">
  <!--  <div class="col-3 mt-3 bg-warning text-center stdin">
	   <p class="mt-3 white">Stdin</p>
	</div>-->
  <div class="col-12 mt-3">
    <textarea
      class="form-control customTextArea"
      placeholder="Stdin"
      [(ngModel)]="stdin"
    ></textarea>
  </div>
</div>
<div *ngIf="_errMessage" class="row text-center text-danger edgar-code">
  {{ _errMessage }}
</div>
<div *ngIf="getResult()" class="mt-2">
  <div *ngIf="getResult().success">
    <ng-container *ngIf="isSQL()">
      <grid [result]="getResult()"></grid>
    </ng-container>
    <ng-container *ngIf="isCodeLang()">
      <clang-result [isRevision]="false" [result]="getResult()"></clang-result>
    </ng-container>
    <ng-container *ngIf="isJSON()">
      <json-result
        [isRevision]="false"
        [queryRunning]="queryRunning"
        [result]="getResult()"
      ></json-result>
    </ng-container>
  </div>
  <div *ngIf="!getResult().success">
    <div class="text-left aii-error">
      {{ getResult().error.message }}
      <div *ngIf="getResult().error.position">
        Position: {{ getResult().error.position }}
      </div>
    </div>
  </div>
</div>
